// pages/Review.js
var http = require('../../utils/http.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    current:1,
    pages:0,
    list:[]
  },

  /**
 * 评价图片预览
 */
  comPicPreView(e){
    var idx = e.currentTarget.dataset.idx
    var urls = e.currentTarget.dataset.pics
  
    wx.previewImage({
      current: urls[idx],
      urls: urls
    })
  },

  // 获取列表
  getList(){
    http.request({
      url: "/p/prodComm/myCommList",
      method: "GET",
      data: {
        current: this.data.current,
        size: 10,
      },
      callBack: (res) => {

          if(res.records&&res.records.length){
            let list = []
            let img = ''
            res.records.map(e => {
              if(e.pics){
                img = e.pics.split(',')
                e.pics = img
              }
            })
            if (this.data.current == 1) {
              list = res.records
              this.setData({
                list: res.records,
                pages: res.pages,
                current: res.current
              });
            } else {
              list = this.data.list
              list.push(...res.records)
              this.setData({
                list
              })
            }
            console.log(list.length,res.total);
            if (list.length >= res.total) {
              this.setData({
                isAll: true
              })
            }
          }
          
        
      }
    })

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.getNextPage()
  },
  // 触底加载下一页
  getNextPage() {
    console.log('getNextPage',this.data.current);
    if (this.data.pages > this.data.current) {
      this.setData({
        current: this.data.current + 1
      })
      this.getList()
    } else {
      this.setData({
        isAll: true
      })
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})